/*
    Introduction to OOP with Java 3rd Ed, McGraw-Hill

    Wu/Otani

    Chapter 5 Sample Program: Draw a square on a frame
                              window's content pane

    File: Ch5SampleGraphics.java

*/

import javax.swing.*; //for JFrame
import java.awt.*; //for Graphics and Container

class Ch5SampleGraphics {

    public static void main( String[] args ) {

        JFrame    win;
        Container contentPane;
        Graphics  g;

        win = new JFrame("My First Square");
        win.setSize(300, 200);
        win.setLocation(100,100);
        win.setVisible(true);

        contentPane = win.getContentPane();
        contentPane.setBackground(Color.white);
        g = contentPane.getGraphics();
        g.drawRect(50,50,100,30);


        //drawing a filled rect
        g.fillRect(175,50,100,30);

    }
}